Subject: bug#9413: 24.0.50; crash in x-show-tip

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 03 Sep 2011 23:56:06 +0200

Jan Djärv <[email-masked]> writes:

> I think so, xmlCleanupParser is called by parse_region every time it
> parses successfully.  According to the bug and documentation,
> xmlCleanupParser shall be called only when you are sure no more xml
> calls will be made by the program.  It is suggested to do this just
> before exit in case you are not sure, to avoid that valgrind (and
> other memory debuggers) report memory leaks.

Ok; I've now removed the call to xmlCleanupParser from the parsing
function, and moved it to shut_down_emacs.  That's the right place,
isn't it?

Anyway, has it been confirmed that XML parsing has anything to do with
this crash?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/